class UserCheckResponseDto {
  final bool success;
  final bool hasFine;
  final bool hasUnpaidOrder;
  final bool hasCard;

  UserCheckResponseDto({
    required this.success,
    required this.hasFine,
    required this.hasUnpaidOrder,
    required this.hasCard,
  });

  factory UserCheckResponseDto.fromJson(Map<String, dynamic> json) {
    return UserCheckResponseDto(
      success: json['success'] ?? false,
      hasFine: json['hasFine'] ?? false,
      hasUnpaidOrder: json['hasUnpaidOrder'] ?? false,
      hasCard: json['hasCard'] ?? false,
    );
  }
}
